%define name 	gds-gui
%define version 2.19.0
%define release 1
%define daswg   /usr
%define prefix  %{daswg}
%define withpygds 1
%if %{withpygds}
%define config_pygds --enable-python
%else
%define config_pygds --disable-python
%endif
%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

%define root_cling %(test "`root-config --has-cling`" != "yes"; echo $?)


Name: 		%{name}
Summary: 	gds-gui 2.19.0
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPL
Group: 		LIGO Global Diagnotic Systems
Source: 	%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.lsc-group.phys.uwm.edu/daswg/projects/dmt.html
BuildRequires: 	gcc, gcc-c++, glibc, automake, autoconf, libtool, m4, make
BuildRequires:  gds-base-devel >= 2.19.0
BuildRequires:  gzip
BuildRequires:  bzip2
BuildRequires:  libXpm-devel
BuildRequires:  root
BuildRequires:  readline-devel
BuildRequires:  fftw-devel
BuildRequires:  jsoncpp-devel
Requires: gds-base >= 2.19.0
Requires: jsoncpp-devel
AutoReqProv: 	  no
Provides: 	    %name
Obsoletes:	    %name < %version
Prefix:		      %prefix

%description
GDS GUI programs

%package headers
Summary: 	GDS monitor header files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires: gds-base-headers >= 2.19.0

%description headers
GDS monitor header files.

%package crtools
Summary: 	Core shared objects
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires: gds-base >= 2.19.0
Requires: gds-base-headers >= 2.19.0
Requires: root

%description crtools
GDS control room tools

%package devel
Summary: 	GDS monitor development files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires: gds-base-devel >= 2.19.0
Requires: %{name}-headers = %{version}-%{release}

%description devel
GDS GUI development files.

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS
./configure  --prefix=%prefix --libdir=%{_libdir} \
	           --includedir=%{prefix}/include/gds \
	           --enable-online --enable-dtt %{config_pygds}
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files
%defattr(-,root,root)

%files crtools
%defattr(-,root,root)
%{_bindir}/dmtviewer
%{_bindir}/foton
%{_bindir}/lidax
%{_libdir}/libdfmgui.so*
%{_libdir}/libdmtview.so*
%{_libdir}/libdttview.so*
%{_libdir}/libgdsplot.so*
%{_libdir}/liblidax.so*
%{_libdir}/libligogui.so*
%{_libdir}/libRdmtview.so*
%{_libdir}/libRdttview.so*
%{_libdir}/libRgdsplot.so*
%{_libdir}/libRligogui.so*
%if %{root_cling}
%{_libdir}/libRdmtview_rdict.pcm
%{_libdir}/libRdttview_rdict.pcm
%{_libdir}/libRgdsplot_rdict.pcm
%{_libdir}/libRligogui_rdict.pcm
%endif
%if %{withpygds}
%{python_sitelib}/foton.py*
%endif

%files headers
%defattr(-,root,root)
%{_includedir}/gds

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig
